get
https://www.pelcro.com/api/v1/sdk/plan/ip/authorization
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
CachingThis endpoint implements multi-layer caching to ensure optimal performance and reduce latency. Responses are cached for up to 5 minutes at both the edge network and browser levels. This applies to:
- Successful responses (200) - Matching plans for the IP address
- Not found responses (404) - No matching plans for the IP address
When you update plan configurations, changes may take up to 5 minutes to reflect in API responses due to caching.
Retrieve active, free plans whose allowed IP addresses match the requester's IP.
The endpoint detects the client's IP automatically. It supports IPv4, IPv6, and CIDR notation. Only active plans with amount = 0 and matching IP addresses are returned. The expires_at attribute of the plan has no effect on this endpoint's output.
const response = await fetch("https://www.pelcro.com/api/v1/sdk/plan/ip/authorization?site_id=1232", {
method: "GET",
headers: {
"Accept": "application/json"
}
});
const data = await response.json();$response = Http::get('https://www.pelcro.com/api/v1/sdk/plan/ip/authorization', [
'site_id' => 1232,
]);
$data = $response->json();